Bug 228429 - mod_perl errantly provides perl(warnings)
mod_perl errantly provides perl(warnings)
Product: Fedora
Classification: Fedora
Component: mod_perl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
: Reopened
: 243832 (view as bug list)
Depends On:
Blocks: mod_perl 243832
  Show dependency treegraph
Reported: 2007-02-12 23:36 EST by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.0.3-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-12 11:06:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-02-12 23:36:28 EST
The mod_perl package claims to provide perl(warnings), but warnings is a perl
pragma (and appropriately provided by the core perl package).  This provides
should be filtered out.
Comment 1 Joe Orton 2007-04-23 07:55:36 EDT
Thanks for the report.
Comment 2 Chris Weyl 2007-06-12 10:52:49 EDT
This problem persists in F-7, however it's not mod_perl-devel which provides
Comment 3 Chris Weyl 2007-06-12 11:06:50 EDT
Err -- rather, it _is_ mod_perl-devel, not the main mod_perl package, which
errantly provides perl(warnings).

mod_perl-devel-2.0.3-7.i386.rpm, in the F-7 release, has this bug.  However, -9,
in updates, doesn't.  Soo... it is fixed, but unlikely to help those installing
right off the bat.
Comment 4 Joe Orton 2007-06-18 11:49:11 EDT
*** Bug 243832 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.